package ink.wgink.module.activiti.pojo.vos.oa;

import java.io.Serializable;

/**
 * @ClassName: OaFormReportRecordFieldVO
 * @Description: OA表单上报记录字段
 * @Author: wanggeng
 * @Date: 2022/4/25 16:45
 * @Version: 1.0
 */
public class OaFormReportRecordFieldVO implements Serializable {

    private static final long serialVersionUID = 9214098881230157202L;
    private String fieldName;
    private String fieldExplain;
    private String editHistory;

    public String getFieldName() {
        return fieldName == null ? "" : fieldName.trim();
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldExplain() {
        return fieldExplain == null ? "" : fieldExplain.trim();
    }

    public void setFieldExplain(String fieldExplain) {
        this.fieldExplain = fieldExplain;
    }

    public String getEditHistory() {
        return editHistory == null ? "" : editHistory.trim();
    }

    public void setEditHistory(String editHistory) {
        this.editHistory = editHistory;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"fieldName\":\"")
                .append(fieldName).append('\"');
        sb.append(",\"fieldExplain\":\"")
                .append(fieldExplain).append('\"');
        sb.append(",\"fieldType\":\"")
                .append(editHistory).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
